package intrinsic;

public class Error extends Object {

	/** Accessors */
	public int errorID;

	/** Variables */
	public Object name;
	public Object message;

	/** Constants */
	public static final int length = 0;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Error() {
}

public Error(Object arg0) {
}

public Error(Object arg0, Object arg1) {
}


/** Static Methods */
public static native Object throwError(intrinsic.Class arg0, int arg1);
public static native String getErrorMessage(int arg0);

/** Methods */
//public native String getStackTrace();

}
